Add a way to allow action=paraminfo to dump results for all modules
Closed, ResolvedPublic

Description

Add a way to allow action=paraminfo to dump results for all modules, effectively like the normal help pages...


Version: unspecified
Severity: enhancement

Details

Reference
bz26680
bzimport set Reference to bz26680.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jan 12 2011, 12:44 AM

This is a nice idea.

You can use the cache, if that query is to expensive (like the help page).

Reedy added a comment.Feb 28 2011, 6:26 PM

Should probably be caching the stuff anyway

It is possible to have this for 1.20?

enwiki has right now 48 action modules and 54 query modules. Due to the limit of 50 for the querymodules param, you have to use two queries to getting the information about all modules.

Thanks.

Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 20 2015, 7:17 PM
jayvdb added a comment.Aug 7 2015, 1:32 PM

This would vastly simplify the Pywikibot startup sequence. (we'd still need a complex mess due to backwards compatibility, but we could shove that mess off to a subclass).

Also helpful would be to remove the limits for this module; there is a hard upper limit defined on the server : the number of modules installed, so the limit is of limited value for paraminfo.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 1:32 PM

Change 307808 had a related patch set uploaded (by Anomie):
ApiParamInfo: Allow fetching info for all submodules of a module

https://gerrit.wikimedia.org/r/307808

Anomie moved this task from Needs Code to Needs Review on the MediaWiki-API board.Aug 31 2016, 7:28 PM

Change 307808 merged by jenkins-bot:
ApiParamInfo: Allow fetching info for all submodules of a module

https://gerrit.wikimedia.org/r/307808

Anomie closed this task as "Resolved".Sep 1 2016, 3:15 PM
Anomie claimed this task.
Anomie added a subscriber: Anomie.

The specific request here is now possible by specifying modules=main|main+**. You can also fetch just the query submodules with modules=query+*, for example. This should be deployed to WMF wikis with 1.28.0-wmf.18.